Package org.apache.any23.vocab

## Class LKIFCoreLegalRole

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreLegalRole

-     public class LKIFCoreLegalRole
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The legal role module extends the role module with a small number of legal concepts related to roles, legal professions etc.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Legal_Role` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Professional_Legal_Role` |
    `org.eclipse.rdf4j.model.IRI` | `Social_Legal_Role` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreLegalRole` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Social_Legal_Role

          public final org.eclipse.rdf4j.model.IRI Social_Legal_Role

    - #### Legal_Role

          public final org.eclipse.rdf4j.model.IRI Legal_Role

    - #### Professional_Legal_Role

          public final org.eclipse.rdf4j.model.IRI Professional_Legal_Role

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreLegalRole getInstance()